Subject: [quicwg/base-drafts] 054991: Access loss recovery state in congestion control p...

From: ianswett <[email-masked]>
Date: Fri, 06 Nov 2020 03:56:02 -0800

Branch: refs/heads/array-brackets
  Home:   https://github.com/quicwg/base-drafts
  Commit: 054991156e82aeea5ef6b72a0ef4937c03cc4ed0
      https://github.com/quicwg/base-drafts/commit/054991156e82aeea5ef6b72a0ef4937c03cc4ed0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-30 (Wed, 30 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Access loss recovery state in congestion control pseudocode

Otherwise, the RTT estimate will be askew.

Closes #4172.

  Commit: 51204d8032f1a49a8498962fb25c4056740ee466
      https://github.com/quicwg/base-drafts/commit/51204d8032f1a49a8498962fb25c4056740ee466
  Author: Martin Thomson <[email-masked]>
  Date:   2020-09-30 (Wed, 30 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Move key discard to loss recovery section

None of the variables here are congestion control variables, so this is
clearly loss recovery logic that is just misplaced.

  Commit: 4d49737dae5663562f59138ab0942d60b6930cf8
      https://github.com/quicwg/base-drafts/commit/4d49737dae5663562f59138ab0942d60b6930cf8
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-01 (Thu, 01 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Split between sections

  Commit: 530f5fac4c5782d85398451bdebba5fd0a9fe7d7
      https://github.com/quicwg/base-drafts/commit/530f5fac4c5782d85398451bdebba5fd0a9fe7d7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-01 (Thu, 01 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reorder variable descriptions

  Commit: 46f4f1eee24cf4adac511cacad735d139e9ecaeb
      https://github.com/quicwg/base-drafts/commit/46f4f1eee24cf4adac511cacad735d139e9ecaeb
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-01 (Thu, 01 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Discarded packets, not just discarded

  Commit: 6e1a624b94927916562fda1d840f88760e52072a
      https://github.com/quicwg/base-drafts/commit/6e1a624b94927916562fda1d840f88760e52072a
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-09-30 (Wed, 30 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4174 from quicwg/onpacketslost-assert

Access loss recovery state in congestion control pseudocode

  Commit: 53017d24099dc747b203a6e3ab96a0e44d3584ac
      https://github.com/quicwg/base-drafts/commit/53017d24099dc747b203a6e3ab96a0e44d3584ac
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-09-30 (Wed, 30 Sep 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4173 from quicwg/move-b9

Move key discard to loss recovery section

  Commit: ef94ae1459b3369fb234d36c9cad9c85ec04ee06
      https://github.com/quicwg/base-drafts/commit/ef94ae1459b3369fb234d36c9cad9c85ec04ee06
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-02 (Fri, 02 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Update AEAD limits for larger packets

The analysis describes conditions where higher limits might be allowed,
and provides a formula in each case that can be used to determine other
limits more readily.

The number of changes I've made here are somewhat frightening.  This is
why I resisted doing this.  This will need careful double-checking.

The actual numbers don't concern me much, it's the changes to the
structure that need to be looked at.  Some of the changes are editorial,
but they still need extra eyes.

Closes #3701.

  Commit: bcd64aae9d5f38b967c71a10344f46b1c3118ff8
      https://github.com/quicwg/base-drafts/commit/bcd64aae9d5f38b967c71a10344f46b1c3118ff8
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-02 (Fri, 02 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix external references

  Commit: 8bf8ea2440d14596746bab3d626fe9fb3923786e
      https://github.com/quicwg/base-drafts/commit/8bf8ea2440d14596746bab3d626fe9fb3923786e
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4180 from quicwg/jri/fixrefs

Fix external references

  Commit: dd53df2b30133917934c9c42844b649035c53db0
      https://github.com/quicwg/base-drafts/commit/dd53df2b30133917934c9c42844b649035c53db0
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  ECN counts, not ECN

  Commit: a7805181a86c31388df93f133463f8d1baf42bbd
      https://github.com/quicwg/base-drafts/commit/a7805181a86c31388df93f133463f8d1baf42bbd
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  can use pipeACK

  Commit: 22c2633cb2f0633c38aacc9f83ec2d1a22d0cdae
      https://github.com/quicwg/base-drafts/commit/22c2633cb2f0633c38aacc9f83ec2d1a22d0cdae
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  how disable

  Commit: b23015966fa689c3d75432d0f3cb778bb2c4b68d
      https://github.com/quicwg/base-drafts/commit/b23015966fa689c3d75432d0f3cb778bb2c4b68d
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 0b7b8b883cc7800e3e783638539dfdf0cef9aba5
      https://github.com/quicwg/base-drafts/commit/0b7b8b883cc7800e3e783638539dfdf0cef9aba5
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-07 (Wed, 07 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4185 from quicwg/jri/ecn

Congestion control actions are on ECN-CE counts, not on ECN-CE markings

  Commit: 9fc4a11047ea51cec8555b07d4942f2985461695
      https://github.com/quicwg/base-drafts/commit/9fc4a11047ea51cec8555b07d4942f2985461695
  Author: Marten Seemann <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  add text about CID lengths to the invariants

  Commit: ec1741271763e767181e63e1f9aa1e5034be63bf
      https://github.com/quicwg/base-drafts/commit/ec1741271763e767181e63e1f9aa1e5034be63bf
  Author: Marten Seemann <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  clarify that future QUIC versions might have different CID length requirements

  Commit: 6e76817342368a2da09ab0d0dd960d550cb7a78c
      https://github.com/quicwg/base-drafts/commit/6e76817342368a2da09ab0d0dd960d550cb7a78c
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  server sends full-size datagrams until the path is validated

  Commit: 1214c15bdd7a8658856cca438d8c73a662dc9049
      https://github.com/quicwg/base-drafts/commit/1214c15bdd7a8658856cca438d8c73a662dc9049
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 78500d16536f14fd24492707d51916395270947a
      https://github.com/quicwg/base-drafts/commit/78500d16536f14fd24492707d51916395270947a
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: d83bcb90127ef86d9af320d37e9a8c27c0050714
      https://github.com/quicwg/base-drafts/commit/d83bcb90127ef86d9af320d37e9a8c27c0050714
  Author: Luca Niccolini <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Fix contributor last name (#4184)

I am extremely grateful for appearing in this list! 
just a minor fix

  Commit: 551184a2b3b9cd9069092eeadb8a7c4489a7bb4e
      https://github.com/quicwg/base-drafts/commit/551184a2b3b9cd9069092eeadb8a7c4489a7bb4e
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Grammaaaaaa!

  Commit: 5727b871212a92c82bd6d6563341eaf9ad8e5507
      https://github.com/quicwg/base-drafts/commit/5727b871212a92c82bd6d6563341eaf9ad8e5507
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 56569b9dcce3788d24b3dfc6576603f6ffca1da9
      https://github.com/quicwg/base-drafts/commit/56569b9dcce3788d24b3dfc6576603f6ffca1da9
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  wordwrap

  Commit: cf53d55541b4ed7ea3230ac116ac9a9489daf75f
      https://github.com/quicwg/base-drafts/commit/cf53d55541b4ed7ea3230ac116ac9a9489daf75f
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Pseudo code is code component

  Commit: e77e6ee4037a16f3871d73d115dcd4d9da7ffc22
      https://github.com/quicwg/base-drafts/commit/e77e6ee4037a16f3871d73d115dcd4d9da7ffc22
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  better?

  Commit: 8ec73e164c39a30c5ed7f803c34add8af989ad08
      https://github.com/quicwg/base-drafts/commit/8ec73e164c39a30c5ed7f803c34add8af989ad08
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  update back reference to cover padding

  Commit: 8ac0c4276325c37afbfa57cfbb0d3e39abe40f71
      https://github.com/quicwg/base-drafts/commit/8ac0c4276325c37afbfa57cfbb0d3e39abe40f71
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-08 (Thu, 08 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 97b8798895b524bf8c8f1f35ae06d8386f938bed
      https://github.com/quicwg/base-drafts/commit/97b8798895b524bf8c8f1f35ae06d8386f938bed
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  reduce the recommendation of padding to Initial packets only; restrict the number of packets being sent pre-PTO

  Commit: bd089c925ad5928c5448e45e04b3d40ef848078d
      https://github.com/quicwg/base-drafts/commit/bd089c925ad5928c5448e45e04b3d40ef848078d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Drop "unless the client address is validated", merging the requirements.

As @marten-seemann points out, a server might have a validated path with MTU less
than 1200 bytes when it uses Retry.

  Commit: 271010c6d38cbb015aebf41ccf391d64b09e5b1d
      https://github.com/quicwg/base-drafts/commit/271010c6d38cbb015aebf41ccf391d64b09e5b1d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: a3351beeb2561209fb2114c117e3dcae6288a755
      https://github.com/quicwg/base-drafts/commit/a3351beeb2561209fb2114c117e3dcae6288a755
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 05cc5d9af4c53185585ae682b8d0f12673a2ac53
      https://github.com/quicwg/base-drafts/commit/05cc5d9af4c53185585ae682b8d0f12673a2ac53
  Author: Marten Seemann <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  use @martinthomson's suggestion for the invariants

  Commit: 3fec711e7223249e4e7934deef4b8e0974cba8cd
      https://github.com/quicwg/base-drafts/commit/3fec711e7223249e4e7934deef4b8e0974cba8cd
  Author: Marten Seemann <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  apply @martinthompson's and @MikeBishop's suggestions

  Commit: c24e60714a4fb8170284be9f33c94971e6b7fb85
      https://github.com/quicwg/base-drafts/commit/c24e60714a4fb8170284be9f33c94971e6b7fb85
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: 51ebab59453aae1bd8fd45a3e160abe6859ff7a3
      https://github.com/quicwg/base-drafts/commit/51ebab59453aae1bd8fd45a3e160abe6859ff7a3
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-09 (Fri, 09 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  pseudocode segments

  Commit: d9ac648d191eef7c6596ccaf12728758a7eafa66
      https://github.com/quicwg/base-drafts/commit/d9ac648d191eef7c6596ccaf12728758a7eafa66
  Author: ianswett <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Clarify that pipeACK is an example

  Commit: e832f5d211e75eecf97b114b005e88adcfd705a2
      https://github.com/quicwg/base-drafts/commit/e832f5d211e75eecf97b114b005e88adcfd705a2
  Author: ianswett <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: mirjak <[email-masked]>

  Commit: 7bc0c7f579ebc467bd684833253d2167c61bd41d
      https://github.com/quicwg/base-drafts/commit/7bc0c7f579ebc467bd684833253d2167c61bd41d
  Author: ianswett <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: mirjak <[email-masked]>

  Commit: 606b7d2100bc88e5c2544caa3791ce3d4df2e7a1
      https://github.com/quicwg/base-drafts/commit/606b7d2100bc88e5c2544caa3791ce3d4df2e7a1
  Author: ianswett <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Remove paragraph per mirja's suggestion

  Commit: f61b2d0f2efaf066e67045775916ddbafdf564b4
      https://github.com/quicwg/base-drafts/commit/f61b2d0f2efaf066e67045775916ddbafdf564b4
  Author: ianswett <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Change references to 3168 to be normative

I'm not sure if all of them need to be normative or not?

  Commit: 8f0a34a1286443a197f618bd8358a12719bd3098
      https://github.com/quicwg/base-drafts/commit/8f0a34a1286443a197f618bd8358a12719bd3098
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-12 (Mon, 12 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4189 from quicwg/jri/license

Pseudo code is code component

  Commit: 6ed1fccb5a1b5807ae5ac23e9a6764636e2c871b
      https://github.com/quicwg/base-drafts/commit/6ed1fccb5a1b5807ae5ac23e9a6764636e2c871b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-13 (Tue, 13 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4190 from quicwg/ianswett-pipeack-example

Remove mention of pipeACK

  Commit: d64bfcdd4aff399219736541484bd0109b3e88c7
      https://github.com/quicwg/base-drafts/commit/d64bfcdd4aff399219736541484bd0109b3e88c7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Clear up confusion about label encoding

This was, I think clear, but the use of HKDF-Expand-Label and the
encoding of labels into octets could be even more explicit.

Closes #4197.

  Commit: a7ba58eed37de6c2bad105a6e364236310800a94
      https://github.com/quicwg/base-drafts/commit/a7ba58eed37de6c2bad105a6e364236310800a94
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Link between header protection usage and definition

This could have been more explicit, so now it is.  Doubly so.

Closes #4198.

  Commit: 52c5f4f41bb1a1128af8f52398224cd2c9f83e45
      https://github.com/quicwg/base-drafts/commit/52c5f4f41bb1a1128af8f52398224cd2c9f83e45
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Prohibit using old keys for sending

In this context, "newer" was confusing as the code permits the creation
of the next set of packet protection keys when switching over.  As the
goal of the text was to ensure that old keys not be used, using that
formulation avoids any confusion that might be caused from not having a
reference against which to decide which is "newer".

Closes #4199.

  Commit: 0410b6055abae4e98292593fc0fd1ba04bfc0bb7
      https://github.com/quicwg/base-drafts/commit/0410b6055abae4e98292593fc0fd1ba04bfc0bb7
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  when to pad is independent from path validation

  Commit: 6e0fe53d45021108f4f562225fab0647bf5456de
      https://github.com/quicwg/base-drafts/commit/6e0fe53d45021108f4f562225fab0647bf5456de
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  at most once is likely enough

  Commit: 681c02ed7bb3bb14a1c0fc3f4ae6ea91be466b70
      https://github.com/quicwg/base-drafts/commit/681c02ed7bb3bb14a1c0fc3f4ae6ea91be466b70
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 9a4069ceef7cce9a41e2ae743fc33e298b62b857
      https://github.com/quicwg/base-drafts/commit/9a4069ceef7cce9a41e2ae743fc33e298b62b857
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  CONNECTION_CLOSE isn't ack-eliciting

Somehow, I continue to forget this (see #3097), so the table has been
wrong since the special annotations were added.

  Commit: 0e46958bbb120f56c8e88454fd2b6553f1a714a4
      https://github.com/quicwg/base-drafts/commit/0e46958bbb120f56c8e88454fd2b6553f1a714a4
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Describe TLS properties more precisely

  Commit: 2ab63352ee5acaf6bf6d7827a7055d32cf5f0acb
      https://github.com/quicwg/base-drafts/commit/2ab63352ee5acaf6bf6d7827a7055d32cf5f0acb
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Just describe 0-RTT (and its limitations)

  Commit: baeefed4af92420b4d088ccb9f75b9e9348d91c4
      https://github.com/quicwg/base-drafts/commit/baeefed4af92420b4d088ccb9f75b9e9348d91c4
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  DCID is 0..20 and clarify...

... that after Retry the use of the new Destination Connection ID does
not provide address validation (this was previously obtusely stated).

Note that this critically says that a Destination Connection ID of any
length is not sufficient to prove that the server got the packet.
This is because the client doesn't know how hard the value is to guess,
even if the value is 8 byte or more long and might appear to contain
sufficient entropy (it could be a deterministic function of the client
address, for example).

  Commit: 34ad87496a13ddc545917346096ed24f420c99a6
      https://github.com/quicwg/base-drafts/commit/34ad87496a13ddc545917346096ed24f420c99a6
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  servers MUST pad Initial packets carrying CRYPTO frames

  Commit: c30347b1103d89f116f48f7b8d3b04aeae7828d0
      https://github.com/quicwg/base-drafts/commit/c30347b1103d89f116f48f7b8d3b04aeae7828d0
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  wordwrap

  Commit: 4700b16db2925e40c014a1bfe5aa9a3d4db8c6df
      https://github.com/quicwg/base-drafts/commit/4700b16db2925e40c014a1bfe5aa9a3d4db8c6df
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Magnus comments

  Commit: a3f807b922415db5a45a87f6a07acf4dd52f24aa
      https://github.com/quicwg/base-drafts/commit/a3f807b922415db5a45a87f6a07acf4dd52f24aa
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  lint

  Commit: 67e49f85b8403ab8cd78f6cd985b78aa08bd9a9f
      https://github.com/quicwg/base-drafts/commit/67e49f85b8403ab8cd78f6cd985b78aa08bd9a9f
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  pad Initial with CRYPTO frames -> pad ack-eliciting Initial

  Commit: d42f4554a11a485f1dbba6cfed3ee95f084c0e06
      https://github.com/quicwg/base-drafts/commit/d42f4554a11a485f1dbba6cfed3ee95f084c0e06
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Datagram size, not packet size

  Commit: fd1456a907725096b1960a8e4ab9666271740ef8
      https://github.com/quicwg/base-drafts/commit/fd1456a907725096b1960a8e4ab9666271740ef8
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Tradeoffs of persistent congestion threshold

  Commit: d8816f9542ebe30fabf46bb573240f03f01adbe7
      https://github.com/quicwg/base-drafts/commit/d8816f9542ebe30fabf46bb573240f03f01adbe7
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: ad6d533a9d9dca978882ca54fcf7d25707a86067
      https://github.com/quicwg/base-drafts/commit/ad6d533a9d9dca978882ca54fcf7d25707a86067
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  review comments

  Commit: d6fb59baa5ad2b72854fc9f1ccb6619081a0099c
      https://github.com/quicwg/base-drafts/commit/d6fb59baa5ad2b72854fc9f1ccb6619081a0099c
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: ianswett <[email-masked]>

  Commit: 609e3521d5372a7fd4418e9e1c2da401faf7ca26
      https://github.com/quicwg/base-drafts/commit/609e3521d5372a7fd4418e9e1c2da401faf7ca26
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  rework text

  Commit: 3518d540808164672fef304f85585488c5e176a0
      https://github.com/quicwg/base-drafts/commit/3518d540808164672fef304f85585488c5e176a0
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  editorial

  Commit: a51ad561b1d5c08274a4e8a1ac14304845c74748
      https://github.com/quicwg/base-drafts/commit/a51ad561b1d5c08274a4e8a1ac14304845c74748
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  @martinthomson's suggestion with tweaks

  Commit: 09b3e0ad27b56aa0f4c68dd14e1bd50b6e22a037
      https://github.com/quicwg/base-drafts/commit/09b3e0ad27b56aa0f4c68dd14e1bd50b6e22a037
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  lint

  Commit: 1bb33b1e11f25c783ab23c945a277968df4ecd99
      https://github.com/quicwg/base-drafts/commit/1bb33b1e11f25c783ab23c945a277968df4ecd99
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 3f875caf7239cb071601ea46939f545b6687a5a8
      https://github.com/quicwg/base-drafts/commit/3f875caf7239cb071601ea46939f545b6687a5a8
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: e3a596f2eb224e0fa1cbcd5865f4a4a70b7dbe3d
      https://github.com/quicwg/base-drafts/commit/e3a596f2eb224e0fa1cbcd5865f4a4a70b7dbe3d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  revert changes to the address validation section, as server-side requirements are unrelated

  Commit: c550cb4399b41241f7394d8a2d5728fb87b9f72b
      https://github.com/quicwg/base-drafts/commit/c550cb4399b41241f7394d8a2d5728fb87b9f72b
  Author: janaiyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  editorial

  Commit: adbe600fae62a5aaac76876a634baf2c00575c04
      https://github.com/quicwg/base-drafts/commit/adbe600fae62a5aaac76876a634baf2c00575c04
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  wordwrap

  Commit: fb71e7ad639eba345fb98d95c0f0d1680e7f7de4
      https://github.com/quicwg/base-drafts/commit/fb71e7ad639eba345fb98d95c0f0d1680e7f7de4
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-14 (Wed, 14 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix structural and reference issues

  Commit: 8f5dff7dddbf7936c4ef3f6934d997fb8f1a216a
      https://github.com/quicwg/base-drafts/commit/8f5dff7dddbf7936c4ef3f6934d997fb8f1a216a
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: b1ab5f8a6ccd1aecb0ac44e38b4a660c4ef7fd11
      https://github.com/quicwg/base-drafts/commit/b1ab5f8a6ccd1aecb0ac44e38b4a660c4ef7fd11
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 5e3fd9e88b3de174ec858e7040056c5759d1730e
      https://github.com/quicwg/base-drafts/commit/5e3fd9e88b3de174ec858e7040056c5759d1730e
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Excess ack_delay could be non-compiance

Fixes #4191

  Commit: 8d9643994894e2d6f505cab2138ecbb214cda7e2
      https://github.com/quicwg/base-drafts/commit/8d9643994894e2d6f505cab2138ecbb214cda7e2
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 93e1c550f4c4477790928204a1838421e8ac96ed
      https://github.com/quicwg/base-drafts/commit/93e1c550f4c4477790928204a1838421e8ac96ed
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: be63e0e5f99fa528e695dc6f08c19f4c5bf3a0aa
      https://github.com/quicwg/base-drafts/commit/be63e0e5f99fa528e695dc6f08c19f4c5bf3a0aa
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Don't reset pto backoff for Initial ACKs

Fixes #4200

  Commit: ce7b16180676a31d72ea3da124adca730e3aeba4
      https://github.com/quicwg/base-drafts/commit/ce7b16180676a31d72ea3da124adca730e3aeba4
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Don't refer to the Time Threshold Loss Detection Timer

That term doesn't appear above, so don't use it in the PTO section.

Fixes #4193

  Commit: 87df3f9810d89a56be513ea39cc058fc449930a7
      https://github.com/quicwg/base-drafts/commit/87df3f9810d89a56be513ea39cc058fc449930a7
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Call out h3 in more places (#4211)

  Commit: 951039df1b25f27be3d291631ba0d2fd3dd2d820
      https://github.com/quicwg/base-drafts/commit/951039df1b25f27be3d291631ba0d2fd3dd2d820
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  RFC8164 is exemplary (#4223)

  Commit: f9869890fdc959aaf7d31766fb89a5a90a040b72
      https://github.com/quicwg/base-drafts/commit/f9869890fdc959aaf7d31766fb89a5a90a040b72
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: ianswett <[email-masked]>

  Commit: e1b3e900c380a51a18975cc347940acc1207428a
      https://github.com/quicwg/base-drafts/commit/e1b3e900c380a51a18975cc347940acc1207428a
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  reference

  Commit: 02eb08c96ea363e898f3cbefc3b857fe84ce6598
      https://github.com/quicwg/base-drafts/commit/02eb08c96ea363e898f3cbefc3b857fe84ce6598
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  review

  Commit: d092a1776dee09722b846f750fc9108a865cabb7
      https://github.com/quicwg/base-drafts/commit/d092a1776dee09722b846f750fc9108a865cabb7
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4213 from quicwg/jri/editorial

Editorial fixes for recovery

  Commit: 6c64baa2d755549a5828d44d4d2cfb361abf8971
      https://github.com/quicwg/base-drafts/commit/6c64baa2d755549a5828d44d4d2cfb361abf8971
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: ianswett <[email-masked]>

  Commit: e6c489be4924786ebeea247a0b6a6d195f299ea1
      https://github.com/quicwg/base-drafts/commit/e6c489be4924786ebeea247a0b6a6d195f299ea1
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  format

  Commit: 5216eb1620ec15418ed333cbd856ef5afa1635c1
      https://github.com/quicwg/base-drafts/commit/5216eb1620ec15418ed333cbd856ef5afa1635c1
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  slight moving of text

  Commit: 3a9655ec876f187a73ff049ccec95663adb4f10b
      https://github.com/quicwg/base-drafts/commit/3a9655ec876f187a73ff049ccec95663adb4f10b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4215 from quicwg/jri/congestion-threshold

Tradeoffs in the persistent congestion threshold

  Commit: 028dedfe1a933a9f1bdec8063c3cb23449c9121a
      https://github.com/quicwg/base-drafts/commit/028dedfe1a933a9f1bdec8063c3cb23449c9121a
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4220 from quicwg/ianswett-dont-reset-pto-backoff

Don't reset pto backoff for Initial ACKs

  Commit: 59ac29d452680313fe6663f9f2b96f3c130a9adf
      https://github.com/quicwg/base-drafts/commit/59ac29d452680313fe6663f9f2b96f3c130a9adf
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4214 from quicwg/jri/max-packet-size

Datagram size, not packet size

  Commit: e1a08aa24ae467039183842d0c71013ef2e369b6
      https://github.com/quicwg/base-drafts/commit/e1a08aa24ae467039183842d0c71013ef2e369b6
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: e906bb629f1bbaaef9c11f72bc5405c258efc7c7
      https://github.com/quicwg/base-drafts/commit/e906bb629f1bbaaef9c11f72bc5405c258efc7c7
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Reflow

  Commit: 53a17e37ffaff565ea7153fd8da32fb40bf7be9f
      https://github.com/quicwg/base-drafts/commit/53a17e37ffaff565ea7153fd8da32fb40bf7be9f
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4203 from quicwg/close-is-not-ack-eliciting

CONNECTION_CLOSE isn't ack-eliciting

  Commit: 1e6e346a6058118f93f5e709c8c5c04523a66d57
      https://github.com/quicwg/base-drafts/commit/1e6e346a6058118f93f5e709c8c5c04523a66d57
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4218 from quicwg/ianswett-noncompliant-acks

Excess ack_delay could be non-compiance

  Commit: cb51821d0db98da09838879f586aa29e80b0b172
      https://github.com/quicwg/base-drafts/commit/cb51821d0db98da09838879f586aa29e80b0b172
  Author: ianswett <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 5280b951376d486bc41a322e5f9ef25391542c5b
      https://github.com/quicwg/base-drafts/commit/5280b951376d486bc41a322e5f9ef25391542c5b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Code review tweaks

wrapping needed...

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: feff7323e85389f3d25776b59617f0a8ef31e4cf
      https://github.com/quicwg/base-drafts/commit/feff7323e85389f3d25776b59617f0a8ef31e4cf
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Wrap

  Commit: bf5c397df589a17b35f1ae9d505564df47a8718a
      https://github.com/quicwg/base-drafts/commit/bf5c397df589a17b35f1ae9d505564df47a8718a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4175 from quicwg/large-packet-limits

Update AEAD limits for larger packets

  Commit: c7092bc1842b3dc3c03c263713aa9488aa95c8ad
      https://github.com/quicwg/base-drafts/commit/c7092bc1842b3dc3c03c263713aa9488aa95c8ad
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Remove invariants text

  Commit: 59dc78803010b685869f850c4c49552d847ad625
      https://github.com/quicwg/base-drafts/commit/59dc78803010b685869f850c4c49552d847ad625
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'cid-len-vn'

  Commit: f226d885730f64ed6cd91f5bf1088e88e0899a69
      https://github.com/quicwg/base-drafts/commit/f226d885730f64ed6cd91f5bf1088e88e0899a69
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Target the rule to connection IDs, not packets

  Commit: 52af580a8bbf7ace504ec6600c47734044d69fbc
      https://github.com/quicwg/base-drafts/commit/52af580a8bbf7ace504ec6600c47734044d69fbc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4188 from kazuho/kazuho/server-packet-size

Server SHOULD send full-sized datagrams until the path is validated

  Commit: 7d7a1caa00d61da3a76e2918bf401c96cf293b26
      https://github.com/quicwg/base-drafts/commit/7d7a1caa00d61da3a76e2918bf401c96cf293b26
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  hyphenate your bites

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: d7e32312900bbb95ae2ede27223a197db2bff828
      https://github.com/quicwg/base-drafts/commit/d7e32312900bbb95ae2ede27223a197db2bff828
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4201 from quicwg/hkdf-label

Clear up confusion about label encoding

  Commit: 4a70f1fbc6986e9350eab19eab7e9dd1670e8ff9
      https://github.com/quicwg/base-drafts/commit/4a70f1fbc6986e9350eab19eab7e9dd1670e8ff9
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4202 from quicwg/mask-application

Link between header protection usage and definition

  Commit: 9811e96cf6e4604bd5ae583824c4ccbacfbe4b84
      https://github.com/quicwg/base-drafts/commit/9811e96cf6e4604bd5ae583824c4ccbacfbe4b84
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  so...

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 9d1a64156718a17cd9cfd74b3b8b4a64ef761445
      https://github.com/quicwg/base-drafts/commit/9d1a64156718a17cd9cfd74b3b8b4a64ef761445
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4205 from quicwg/tls-magnus-nits

Magnus' TLS nits

  Commit: f250e5ee626c717adcda05067e27cf2eb688d71f
      https://github.com/quicwg/base-drafts/commit/f250e5ee626c717adcda05067e27cf2eb688d71f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Extra words

  Commit: 3a56ee49f91a803ae694bf177b8a1d4576254b8b
      https://github.com/quicwg/base-drafts/commit/3a56ee49f91a803ae694bf177b8a1d4576254b8b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-15 (Thu, 15 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  datagram not packet

  Commit: de6a61c9e4add42824b6e93396b03cbeffe9055a
      https://github.com/quicwg/base-drafts/commit/de6a61c9e4add42824b6e93396b03cbeffe9055a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4225 from quicwg/jri/datagram

Minor editorial: datagram not packet

  Commit: a563626a1f409ce3a41994aa20a020793ef86aa1
      https://github.com/quicwg/base-drafts/commit/a563626a1f409ce3a41994aa20a020793ef86aa1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4224 from quicwg/not-older-keys

Prohibit using old keys for sending

  Commit: c904daf2c14d46638e1ea0669fbb821cedac0132
      https://github.com/quicwg/base-drafts/commit/c904daf2c14d46638e1ea0669fbb821cedac0132
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Pad when validating addresses

This isn't obvious, but if you are validating an address, you are also
validating the path to that address.  If you don't pad these packets,
then you don't know that the path supports a reasonable PMTU.

Require padding of datagrams that carry packets that carry
PATH_CHALLENGE.  This neatly solves the problem.

Closes #4216.

  Commit: d21c32b5c77bf303553a0c2aa6c55ae56b8bb6d0
      https://github.com/quicwg/base-drafts/commit/d21c32b5c77bf303553a0c2aa6c55ae56b8bb6d0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  A big caveat

  Commit: 2686b0aeb0cf854f7f3664c0cf5940bc5e5a47b2
      https://github.com/quicwg/base-drafts/commit/2686b0aeb0cf854f7f3664c0cf5940bc5e5a47b2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Datagrams, not packets

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: b9bfce85e043a3ca7de712433415acb8eaf71d9f
      https://github.com/quicwg/base-drafts/commit/b9bfce85e043a3ca7de712433415acb8eaf71d9f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Revert automated formatting of tables, wrap

Visual Studio code might need to be fired, though it's possible that
this change is a good one.

  Commit: 2b07699b6d03f22f616b031b13b7d317917b9a91
      https://github.com/quicwg/base-drafts/commit/2b07699b6d03f22f616b031b13b7d317917b9a91
  Author: Julian Reschke <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  update refs for -12 of http core drafts (#4182)

* update refs for -12 of http core drafts

* Apply suggestions from code review

* Rewrap

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: a33d2ec24a45afef92a0f04aeec03732e6d2049c
      https://github.com/quicwg/base-drafts/commit/a33d2ec24a45afef92a0f04aeec03732e6d2049c
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  What's an HTTP/3 connection? (#4212)

* What's an HTTP/3 connection?

* Say 'HTTP/3' a whole lot more

* Apply suggestions from code review

Co-authored-by: Jana Iyengar <[email-masked]>

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: a5d1222f710b2cf0b1cd0a4b07585f1d1efe37b7
      https://github.com/quicwg/base-drafts/commit/a5d1222f710b2cf0b1cd0a4b07585f1d1efe37b7
  Author: ianswett <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 37e5917ffe14ded49cf806f84a4e90e0f2b0339c
      https://github.com/quicwg/base-drafts/commit/37e5917ffe14ded49cf806f84a4e90e0f2b0339c
  Author: ianswett <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 6d453f70fce302e3dceb6ed19995dd9f687bcb8f
      https://github.com/quicwg/base-drafts/commit/6d453f70fce302e3dceb6ed19995dd9f687bcb8f
  Author: ianswett <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 0c02a859c4781e72e3409fec60f11f7b860e63e7
      https://github.com/quicwg/base-drafts/commit/0c02a859c4781e72e3409fec60f11f7b860e63e7
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-16 (Fri, 16 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Change controller is IETF (#4236)

  Commit: c2b85a533f5c16a2d04ba36362c21cd7c70c3df6
      https://github.com/quicwg/base-drafts/commit/c2b85a533f5c16a2d04ba36362c21cd7c70c3df6
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-17 (Sat, 17 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  IANA: split change controller and contact

At @gloinul's suggestion this adds a "change controller" field to
registries and splits between a change controller (IETF) and contact
(QUIC WG).

Closes #4230.

  Commit: 5265a6c6c66f3e08b486fe562f1fe9d0ebdbc8de
      https://github.com/quicwg/base-drafts/commit/5265a6c6c66f3e08b486fe562f1fe9d0ebdbc8de
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-17 (Sat, 17 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Apply the same split to HTTP

  Commit: b3ce9e647ba7e0344f852662c200c161a5030537
      https://github.com/quicwg/base-drafts/commit/b3ce9e647ba7e0344f852662c200c161a5030537
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Pad PATH_RESPONSE too

  Commit: 6890ba562653f39d58620b713b59eef6929e5de1
      https://github.com/quicwg/base-drafts/commit/6890ba562653f39d58620b713b59eef6929e5de1
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-18 (Sun, 18 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Nits from AD review (#4237)

* Nits from AD review; fixes #4232

* Update draft-ietf-quic-http.md

Co-authored-by: ianswett <[email-masked]>

Co-authored-by: ianswett <[email-masked]>

  Commit: 5cde363a20ba1a5cc32a1e2855845fa10c8bf82c
      https://github.com/quicwg/base-drafts/commit/5cde363a20ba1a5cc32a1e2855845fa10c8bf82c
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-18 (Sun, 18 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  First, CANCEL_PUSH; then RESET_STREAM if appropriate (#4234)

* First, CANCEL_PUSH; then RESET_STREAM if appropriate

* Correspondence is unappreciated

Co-authored-by: Martin Thomson <[email-masked]>

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 663465c6c3679870ac476964ce79adbdd7a73d08
      https://github.com/quicwg/base-drafts/commit/663465c6c3679870ac476964ce79adbdd7a73d08
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Tweaks

Co-authored-by: ianswett <[email-masked]>

  Commit: 80cbb76dcb5f1873a00047ed147282682ab53df3
      https://github.com/quicwg/base-drafts/commit/80cbb76dcb5f1873a00047ed147282682ab53df3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Wrap; make the other a SHOULD too

  Commit: 2bc8d2fe3ff48abd73bfab4b8bf1b46892412686
      https://github.com/quicwg/base-drafts/commit/2bc8d2fe3ff48abd73bfab4b8bf1b46892412686
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4239 from quicwg/change-controller-split

IANA: split change controller and contact

  Commit: d8163610d3d18aa713b40beac1febe5675eaacd8
      https://github.com/quicwg/base-drafts/commit/d8163610d3d18aa713b40beac1febe5675eaacd8
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Clarify reserved frame streams (#4235)

* Clarify reserved frame streams

* Update draft-ietf-quic-http.md

Co-authored-by: ianswett <[email-masked]>

Co-authored-by: ianswett <[email-masked]>

  Commit: 7217ca79908fd38fc8e98584d6526d7f8a7287f6
      https://github.com/quicwg/base-drafts/commit/7217ca79908fd38fc8e98584d6526d7f8a7287f6
  Author: Lucas Pardue <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Pseudo-headers can be negotiated (#4248)

* Pseudo-headers can be negotiated

Taken from @MikeBishop's suggestion on the list

* Wrapping

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: b34a8d5d163f83beb0c5f8f32a9d6290d8c3b74a
      https://github.com/quicwg/base-drafts/commit/b34a8d5d163f83beb0c5f8f32a9d6290d8c3b74a
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  More precision in defining string literals (#4249)

* More precision in defining string literals

* Update draft-ietf-quic-qpack.md

wordsmithing

Co-authored-by: afrind <[email-masked]>

  Commit: 9b053f9788580c076babc60b5748df6b02c7c2e9
      https://github.com/quicwg/base-drafts/commit/9b053f9788580c076babc60b5748df6b02c7c2e9
  Author: Lars Eggert <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Refer to Section 5.4 and not just Section 5 (#4247)

* Refer to Section 5.4 and not just Section 5

* and Section 5.6

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 2f79b5aed8455380e9c7abb63beba809738d5b0e
      https://github.com/quicwg/base-drafts/commit/2f79b5aed8455380e9c7abb63beba809738d5b0e
  Author: Lars Eggert <[email-masked]>
  Date:   2020-10-19 (Mon, 19 Oct 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Make 2360 normative

  Commit: abde090670ad22def944702d63ecde09600bd88b
      https://github.com/quicwg/base-drafts/commit/abde090670ad22def944702d63ecde09600bd88b
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Peer path validation...

  Commit: 6d59f185cbc68fa85c157f918d7e53cb591a81cb
      https://github.com/quicwg/base-drafts/commit/6d59f185cbc68fa85c157f918d7e53cb591a81cb
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  endpoint MAY discard, MUST NOT close when receiving a datagram that does not meet the padding requirements

  Commit: a364f7d638459ca0c3b0b35fb6a57aecfc4f733d
      https://github.com/quicwg/base-drafts/commit/a364f7d638459ca0c3b0b35fb6a57aecfc4f733d
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  add ref

  Commit: 1e95cb2f928835f5f932ea3ebdce2784a9b1fd0c
      https://github.com/quicwg/base-drafts/commit/1e95cb2f928835f5f932ea3ebdce2784a9b1fd0c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  MUST

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 3fce52c3e6633f9b231c76bc8b88fecaf6842461
      https://github.com/quicwg/base-drafts/commit/3fce52c3e6633f9b231c76bc8b88fecaf6842461
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 49585a13f953f35d08b53e46d2f272b34e5efb18
      https://github.com/quicwg/base-drafts/commit/49585a13f953f35d08b53e46d2f272b34e5efb18
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: db0065748b54228ac2ca98401331f936c1e90919
      https://github.com/quicwg/base-drafts/commit/db0065748b54228ac2ca98401331f936c1e90919
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 353747da54f98792413e2b913f2859251ab13122
      https://github.com/quicwg/base-drafts/commit/353747da54f98792413e2b913f2859251ab13122
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  drop reference to packet coalescing, as suggested by @martinthomson

  Commit: 7c59397e39dc005bcf53be7208b73cbaee05fc06
      https://github.com/quicwg/base-drafts/commit/7c59397e39dc005bcf53be7208b73cbaee05fc06
  Author: ianswett <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #4222 from quicwg/ianswett-no-loss-detection-timer

Don't refer to the Time Threshold Loss Detection Timer

  Commit: 219e12ec25ae408814c203ec934493f881575c96
      https://github.com/quicwg/base-drafts/commit/219e12ec25ae408814c203ec934493f881575c96
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Talk about padding a little more (#4233)

  Commit: 5c616217269f59a7824b11ee1845528bc1f0b37f
      https://github.com/quicwg/base-drafts/commit/5c616217269f59a7824b11ee1845528bc1f0b37f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Explain and discourage HTTP/2 error code overlap (#4251)

* Explain and discourage HTTP/2 error code overlap

This provides guidance to experts about avoiding overlap of error codes
with HTTP/2 and explains why the codes in the document are where they
are.

Closes #4231.

* ~E

Co-authored-by: Jana Iyengar <[email-masked]>

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: f4e391a879586cb26d6f571558efa6d3a9fdade2
      https://github.com/quicwg/base-drafts/commit/f4e391a879586cb26d6f571558efa6d3a9fdade2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-21 (Wed, 21 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  minimumumum

Co-authored-by: ianswett <[email-masked]>

  Commit: db22ecd94dc26268a8c937fd0b149a4c8927a92a
      https://github.com/quicwg/base-drafts/commit/db22ecd94dc26268a8c937fd0b149a4c8927a92a
  Author: Alan Frindell <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  [qpack] Update Example B4

Explain why there is no Insert Count Increment sent from the Decoder to the Encoder in this example.  When I drafted the example, I probably just missed it, but it seems like a good opportunity to explore the case where the encoder stream data is delayed.

Fixes #4245

  Commit: bbb245b5a3ed4567f052caa413e7c4cfc296d91a
      https://github.com/quicwg/base-drafts/commit/bbb245b5a3ed4567f052caa413e7c4cfc296d91a
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 8a665eb37d894565fd7a9365dd7bd53fe9c21e62
      https://github.com/quicwg/base-drafts/commit/8a665eb37d894565fd7a9365dd7bd53fe9c21e62
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4254 from kazuho/kazuho/datagram-padding-is-unenforceable

receivers cannot enforce datagram padding (though they may drop)

  Commit: 739a6cc60f2dda200181be8383691f21f0e9868e
      https://github.com/quicwg/base-drafts/commit/739a6cc60f2dda200181be8383691f21f0e9868e
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4241 from quicwg/pad-path-validation

Pad path validation in both directions

  Commit: 2ebdfd53a648458539dda4d4e8b207546e135699
      https://github.com/quicwg/base-drafts/commit/2ebdfd53a648458539dda4d4e8b207546e135699
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-21 (Wed, 21 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M protection-samples.js

  Log Message:
  -----------
  Update vectors for -32

  Commit: a25b7b0e18ad0c2c0d262fddceeb0bdbb2db53d0
      https://github.com/quicwg/base-drafts/commit/a25b7b0e18ad0c2c0d262fddceeb0bdbb2db53d0
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-21 (Wed, 21 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Changelogs for -32

  Commit: 6768f6f2a6beaf0ca02a984b5c9b7a840d55a7d2
      https://github.com/quicwg/base-drafts/commit/6768f6f2a6beaf0ca02a984b5c9b7a840d55a7d2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-21 (Wed, 21 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Recovery had changes

  Commit: feee48ebfe0c3be46a938879f3f503860d0c24a1
      https://github.com/quicwg/base-drafts/commit/feee48ebfe0c3be46a938879f3f503860d0c24a1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-21 (Wed, 21 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M protection-samples.js

  Log Message:
  -----------
  Merge pull request #4255 from quicwg/vectors-32

Update vectors for -32

  Commit: 56c35e6d8ee9b48c83ceaddd295e412db98de9a5
      https://github.com/quicwg/base-drafts/commit/56c35e6d8ee9b48c83ceaddd295e412db98de9a5
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-20 (Tue, 20 Oct 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4256 from quicwg/changelog-32

Changelogs for -32

  Commit: 2719b297f7f12368ec12c8fdbf70aba6a2c2eb93
      https://github.com/quicwg/base-drafts/commit/2719b297f7f12368ec12c8fdbf70aba6a2c2eb93
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-28 (Wed, 28 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Stop using initial timeout

Address validation can use 3*PTO, just taking the maximum of the old and
new path PTO.  The idea of initial timeout is easily replaced in
recovery by instead describing the effect on the PTO.  The net effect is
the same, except that new paths often have to include the maximum ACK
delay, which this doesn't incorporate.

Closes #4261.
Closes #4262.

  Commit: ec9355809d26c1a62fcf6c6b565c0e477d69a49d
      https://github.com/quicwg/base-drafts/commit/ec9355809d26c1a62fcf6c6b565c0e477d69a49d
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-28 (Wed, 28 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove formula with confusing variables

  Commit: d4ea499f0202be3971fc1267c9657fdd5f0689e1
      https://github.com/quicwg/base-drafts/commit/d4ea499f0202be3971fc1267c9657fdd5f0689e1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Explain what the bitfield references mean

Closes #4269.

  Commit: 58adefa71cb70e4223735c08cab0c2702fffd911
      https://github.com/quicwg/base-drafts/commit/58adefa71cb70e4223735c08cab0c2702fffd911
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Maximum datagram size of 1200 is a requirement

On endpoints.

Closes #4271.

  Commit: a356bbba6df96cd0e599b390455819523b539807
      https://github.com/quicwg/base-drafts/commit/a356bbba6df96cd0e599b390455819523b539807
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Cite the notation section the first time it is used

Closes #4284.

  Commit: fea54816edf9df6874fda276b00edaac799151c2
      https://github.com/quicwg/base-drafts/commit/fea54816edf9df6874fda276b00edaac799151c2
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Define stateless reset token

This was a little obtuse; it would benefit from a clearer description of
what the token is and how it is used.

Closes #4285.

  Commit: f4cc0c8191d0667c02827131123343701d3f6a99
      https://github.com/quicwg/base-drafts/commit/f4cc0c8191d0667c02827131123343701d3f6a99
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Describe inputs to the packet number algorithm

Closes #4297.

  Commit: ac4e79bc704b892db4531095ab39ab8edf2085b5
      https://github.com/quicwg/base-drafts/commit/ac4e79bc704b892db4531095ab39ab8edf2085b5
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Tweak framing of frames table

Less detail above, but a pointer to what follows.

Closes #4299.

  Commit: 15c0e777b0f352d42527d840136a47266621b218
      https://github.com/quicwg/base-drafts/commit/15c0e777b0f352d42527d840136a47266621b218
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Yes, it's bytes

Closes #4303.

  Commit: a2928dffe80a4c6d20e4c43e1e8ee34f8802870a
      https://github.com/quicwg/base-drafts/commit/a2928dffe80a4c6d20e4c43e1e8ee34f8802870a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add a definition for "frame"

I struggled with this a little.  Happy to take suggestions.

Closes #4266.

  Commit: 078cb06459f2e7fadad224ba6e400240305b2e15
      https://github.com/quicwg/base-drafts/commit/078cb06459f2e7fadad224ba6e400240305b2e15
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Padding non-HOWTO

We explicitly don't recommend anything for defeating traffic analysis.
We only offer PADDING frames as they are known to be useful in existing
strategies.

Closes #4295.

  Commit: db810bf8459e5d489cf4f4e378b271a62d3cbff2
      https://github.com/quicwg/base-drafts/commit/db810bf8459e5d489cf4f4e378b271a62d3cbff2
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Packet number encoding in appendix, move examples

  Commit: 4ff09667a1b7d1b218d5a97c4ee2115d7217311a
      https://github.com/quicwg/base-drafts/commit/4ff09667a1b7d1b218d5a97c4ee2115d7217311a
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Expand example

  Commit: 63c950d09ec71869ee86fd4d5e007f3be1cac888
      https://github.com/quicwg/base-drafts/commit/63c950d09ec71869ee86fd4d5e007f3be1cac888
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  VarInt decoding pseudocode

  Commit: 818b6c4799888e21636380df48fe3dbb7e7bf675
      https://github.com/quicwg/base-drafts/commit/818b6c4799888e21636380df48fe3dbb7e7bf675
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Mike's suggestions

  Commit: 7a8dd60dbc9ed05a0ab8f81d1012cf16141b1762
      https://github.com/quicwg/base-drafts/commit/7a8dd60dbc9ed05a0ab8f81d1012cf16141b1762
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4308 from quicwg/issue4284

Cite the notation section the first time it is used

  Commit: 39ced3886614a389682e1db1209ca62903b990bc
      https://github.com/quicwg/base-drafts/commit/39ced3886614a389682e1db1209ca62903b990bc
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4309 from quicwg/issue4297

Describe inputs to the packet number algorithm

  Commit: e62d221d9bd9e41e7462e4929d3b42510a0efe26
      https://github.com/quicwg/base-drafts/commit/e62d221d9bd9e41e7462e4929d3b42510a0efe26
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  is/are potato/tomato

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: 005c4cda1c96fbe6b6434b079374e37a70f0ceee
      https://github.com/quicwg/base-drafts/commit/005c4cda1c96fbe6b6434b079374e37a70f0ceee
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Glue

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 1725b86feab8c1d2d403af9f549449705e69bd6f
      https://github.com/quicwg/base-drafts/commit/1725b86feab8c1d2d403af9f549449705e69bd6f
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4307 from quicwg/issue4271

Maximum datagram size of 1200 is a requirement

  Commit: 656f39564b0dde06966853618f15b558ad501f0e
      https://github.com/quicwg/base-drafts/commit/656f39564b0dde06966853618f15b558ad501f0e
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4311 from quicwg/issue4303

Yes, it's bytes

  Commit: 7b7523e05c9f9ddd71e23465d260b78b112973f5
      https://github.com/quicwg/base-drafts/commit/7b7523e05c9f9ddd71e23465d260b78b112973f5
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Mike's suggestions, tweaked

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: da7e6873553f2b97cb0a619387c5cc5f368df2b5
      https://github.com/quicwg/base-drafts/commit/da7e6873553f2b97cb0a619387c5cc5f368df2b5
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4312 from quicwg/padding-howto

Padding non-HOWTO

  Commit: a9d9aeb75f339408c1481c0bb5e1e048f16957f6
      https://github.com/quicwg/base-drafts/commit/a9d9aeb75f339408c1481c0bb5e1e048f16957f6
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  initial RTO comparison

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: adbf9a65424c2946fd6fcd845e7563b4703bafb3
      https://github.com/quicwg/base-drafts/commit/adbf9a65424c2946fd6fcd845e7563b4703bafb3
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Moer txt

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: 02c37e7dcac332a1753a77a3c9b5626def6e3705
      https://github.com/quicwg/base-drafts/commit/02c37e7dcac332a1753a77a3c9b5626def6e3705
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Tweaked suggestion

  Commit: fd537897425a824f8c0e1b103dca4285f3d8ea0b
      https://github.com/quicwg/base-drafts/commit/fd537897425a824f8c0e1b103dca4285f3d8ea0b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4306 from quicwg/issue4269

Explain what the bitfield references mean

  Commit: 5d6285f3c93e068e7faf593efe3a06dcc366b4ea
      https://github.com/quicwg/base-drafts/commit/5d6285f3c93e068e7faf593efe3a06dcc366b4ea
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  polish

Co-authored-by: Jana Iyengar <[email-masked]>

  Commit: d56cd1fba2567f036ad903f245339844d0265492
      https://github.com/quicwg/base-drafts/commit/d56cd1fba2567f036ad903f245339844d0265492
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4310 from quicwg/issue4299

Tweak framing of frames table

  Commit: ee73d33cd6830709438470dfd0af06726297ae6c
      https://github.com/quicwg/base-drafts/commit/ee73d33cd6830709438470dfd0af06726297ae6c
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-10-29 (Thu, 29 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4317 from quicwg/issue4285

Define stateless reset token

  Commit: 9234f63528e54644071a494465b4c96018a55050
      https://github.com/quicwg/base-drafts/commit/9234f63528e54644071a494465b4c96018a55050
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  State CS-PRNG requirements

I'm opposed to saying that values from a PRNG shouldn't be exposed.  But
we can at least say that we need a good CS-PRNG to get many of the
security properties claimed by the protocol.

Closes #4314.

  Commit: 64c74e5dfac3eb87fb0068476811feb99eac8e30
      https://github.com/quicwg/base-drafts/commit/64c74e5dfac3eb87fb0068476811feb99eac8e30
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: Jana Iyengar <[email-masked]>
Co-authored-by: Martin Thomson <[email-masked]>

  Commit: 3bc25c1ff62913c7982966dcf259319fd4871324
      https://github.com/quicwg/base-drafts/commit/3bc25c1ff62913c7982966dcf259319fd4871324
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Less python, more handwaving

  Commit: 75a56bf5d9a03bbdef8ba13b5a8f988d381e045d
      https://github.com/quicwg/base-drafts/commit/75a56bf5d9a03bbdef8ba13b5a8f988d381e045d
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: e4213677504e4b326bc5beba0a4a98f78bbc699f
      https://github.com/quicwg/base-drafts/commit/e4213677504e4b326bc5beba0a4a98f78bbc699f
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add comments

  Commit: 5b60a9a8a0b3da85214e448d590a9fb8b0c48a42
      https://github.com/quicwg/base-drafts/commit/5b60a9a8a0b3da85214e448d590a9fb8b0c48a42
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Lars's comment

  Commit: 5c18ee9353f87f9f70bfcba806ef9699a7752030
      https://github.com/quicwg/base-drafts/commit/5c18ee9353f87f9f70bfcba806ef9699a7752030
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Expand for clarity

  Commit: 29b5c1064e4837ec8d8fe111fc5518f51049250c
      https://github.com/quicwg/base-drafts/commit/29b5c1064e4837ec8d8fe111fc5518f51049250c
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Move spin bit explanation to beginning of section

  Commit: 9a0c2c7f365beba65adab0bd8a608b8dbdaf0350
      https://github.com/quicwg/base-drafts/commit/9a0c2c7f365beba65adab0bd8a608b8dbdaf0350
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Move overview to be first subsection

  Commit: 40644dbc771a37bdb16033579bbca17b467b8f30
      https://github.com/quicwg/base-drafts/commit/40644dbc771a37bdb16033579bbca17b467b8f30
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Intro to Security Considerations

  Commit: 1e3dd94cca61c5ef44311e5cb2c5ca8af3d3570c
      https://github.com/quicwg/base-drafts/commit/1e3dd94cca61c5ef44311e5cb2c5ca8af3d3570c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-31 (Sat, 31 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  dehyphenate

Co-authored-by: Christopher Wood <[email-masked]>

  Commit: d844edc09eaa733b142237056ed4a3fecf340e1c
      https://github.com/quicwg/base-drafts/commit/d844edc09eaa733b142237056ed4a3fecf340e1c
  Author: Martin Thomson <[email-masked]>
  Date:   2020-10-31 (Sat, 31 Oct 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  dehyphenate

Co-authored-by: Christopher Wood <[email-masked]>

  Commit: f913c66aa6a0ac1e74b141e02aed6cbf037dba1d
      https://github.com/quicwg/base-drafts/commit/f913c66aa6a0ac1e74b141e02aed6cbf037dba1d
  Author: Mike Bishop <[email-masked]>
  Date:   2020-10-30 (Fri, 30 Oct 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Martin's suggested intro, tweaked

  Commit: 9608dc4f7ee751fd906876d76992dea6ef03b493
      https://github.com/quicwg/base-drafts/commit/9608dc4f7ee751fd906876d76992dea6ef03b493
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-01 (Sun, 01 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  period

Co-authored-by: ianswett <[email-masked]>

  Commit: bea58a02718b81168ef48380799bbf49c21fc3d4
      https://github.com/quicwg/base-drafts/commit/bea58a02718b81168ef48380799bbf49c21fc3d4
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-02 (Mon, 02 Nov 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Less is best

  Commit: afc236efee6672db094c54962ec635a4895e602a
      https://github.com/quicwg/base-drafts/commit/afc236efee6672db094c54962ec635a4895e602a
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-02 (Mon, 02 Nov 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Establish normative force more directly.

This is right next to the BCP 14 text.

  Commit: 5a506a5202a6b403c78a11b4ddb97fed8aac6b1c
      https://github.com/quicwg/base-drafts/commit/5a506a5202a6b403c78a11b4ddb97fed8aac6b1c
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4263 from quicwg/initial-timeout-begone

Stop using initial timeout

  Commit: b26c0a20718b6550eee21dfd5104726c21f5e5a7
      https://github.com/quicwg/base-drafts/commit/b26c0a20718b6550eee21dfd5104726c21f5e5a7
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  s/veyed/tained/

  Commit: 1127887f6fd3c2a7574fdff24444b4ff92d7aafc
      https://github.com/quicwg/base-drafts/commit/1127887f6fd3c2a7574fdff24444b4ff92d7aafc
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4313 from quicwg/define-frame

Add a definition for "frame"

  Commit: aef612e889b12a470198aadd0f0836a9a366bef6
      https://github.com/quicwg/base-drafts/commit/aef612e889b12a470198aadd0f0836a9a366bef6
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Packets and datagrams and packets

Based on Jana's suggestion on #4313.

  Commit: e2f4433901ab807d1412729d52ad2f830b33d625
      https://github.com/quicwg/base-drafts/commit/e2f4433901ab807d1412729d52ad2f830b33d625
  Author: Mike Bishop <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Truncatencode

Co-authored-by: Martin Thomson <[email-masked]>

  Commit: c263ecc37e63cdf5bfd958126060e1a63b59eda8
      https://github.com/quicwg/base-drafts/commit/c263ecc37e63cdf5bfd958126060e1a63b59eda8
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4327 from quicwg/packet-datagram-packet

Packets and datagrams and packets

  Commit: 8cd6bc1e70dce9e0e089d50dcdca30a6c16ce4c7
      https://github.com/quicwg/base-drafts/commit/8cd6bc1e70dce9e0e089d50dcdca30a6c16ce4c7
  Author: Mike Bishop <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Restore the comment in the original text

  Commit: aef52c78819c6bed3a56c5f2ae9c74d46ced4bd1
      https://github.com/quicwg/base-drafts/commit/aef52c78819c6bed3a56c5f2ae9c74d46ced4bd1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4315 from quicwg/transport/move-pn-examples

Packet number encoding appendix

  Commit: e476865aad0ae1a949ea29f9fc50932e8651c041
      https://github.com/quicwg/base-drafts/commit/e476865aad0ae1a949ea29f9fc50932e8651c041
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4316 from quicwg/transport/varint_example

VarInt decoding pseudocode

  Commit: dd8320bc88be0fad63f89d176016db35668232f1
      https://github.com/quicwg/base-drafts/commit/dd8320bc88be0fad63f89d176016db35668232f1
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4319 from quicwg/transport/spin-upfront

Move spin bit explanation to beginning of section

  Commit: f2dfa35ac507c58ebf83d391ff0c70c057dba7d8
      https://github.com/quicwg/base-drafts/commit/f2dfa35ac507c58ebf83d391ff0c70c057dba7d8
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-11-03 (Tue, 03 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4320 from quicwg/transport/security-upfront

Reorder and introduce Security Considerations

  Commit: 7845437e998059b3127ccb241d949ff8e0bc1666
      https://github.com/quicwg/base-drafts/commit/7845437e998059b3127ccb241d949ff8e0bc1666
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add pseudocode intro

  Commit: 0b67a36d6270e23aa21f2faf3ccfd379deb10473
      https://github.com/quicwg/base-drafts/commit/0b67a36d6270e23aa21f2faf3ccfd379deb10473
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Reorder pseudocode sections

  Commit: 146fcbf5527d3732ddf38ff6f0c34ea79470ef87
      https://github.com/quicwg/base-drafts/commit/146fcbf5527d3732ddf38ff6f0c34ea79470ef87
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-invariants.md

  Log Message:
  -----------
  Merge pull request #4321 from quicwg/invariants-req

Establish normative force more directly.

  Commit: 0533f1669a757b4c4a113160d444ff465f29f109
      https://github.com/quicwg/base-drafts/commit/0533f1669a757b4c4a113160d444ff465f29f109
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  plural

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: c3593e53fc5b0e703108edd659c4897087afced1
      https://github.com/quicwg/base-drafts/commit/c3593e53fc5b0e703108edd659c4897087afced1
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #4328 from quicwg/code-components

Code components

  Commit: 15858f8590af9b837e2bd36923463d92528bc994
      https://github.com/quicwg/base-drafts/commit/15858f8590af9b837e2bd36923463d92528bc994
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Wrap

  Commit: fcc3f7de8b2c86b232a21e66bec0d0ac15cfc386
      https://github.com/quicwg/base-drafts/commit/fcc3f7de8b2c86b232a21e66bec0d0ac15cfc386
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Who

  Commit: ae45b3bad5eacffa3b02ed18ae1e7749a9920b23
      https://github.com/quicwg/base-drafts/commit/ae45b3bad5eacffa3b02ed18ae1e7749a9920b23
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  plural

Co-authored-by: Mike Bishop <[email-masked]>

  Commit: f11b3bd933265eec0d2df17a20367ccdde52535d
      https://github.com/quicwg/base-drafts/commit/f11b3bd933265eec0d2df17a20367ccdde52535d
  Author: Martin Thomson <[email-masked]>
  Date:   2020-11-04 (Wed, 04 Nov 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Merge pull request #4318 from quicwg/randomness-is-good

State CS-PRNG requirements

  Commit: 7ee105c91f3f8f7c1a8c1ed7487f252c1a617643
      https://github.com/quicwg/base-drafts/commit/7ee105c91f3f8f7c1a8c1ed7487f252c1a617643
  Author: ianswett <[email-masked]>
  Date:   2020-11-06 (Fri, 06 Nov 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M protection-samples.js

  Log Message:
  -----------
  Merge branch 'master' into array-brackets

Compare: https://github.com/quicwg/base-drafts/compare/1c94b969c784...7ee105c91f3f